at.chipkarte.client.abs.soap

## Class Rueckantwort

- Object
- - at.chipkarte.client.abs.soap.Rueckantwort

-     public class Rueckantwort
      extends Object

  Enthält die Daten einer Rückantwort des chefärztlichen Dienstes zu einer `BewilligungsAnfrage`.

  Die Daten können unter Umständen von den Daten in der Anfrage abweichen, falls sie durch den chefärztlichen Dienst korrigiert wurden.

  Achtung: Die Felder der Rückantwort werden teilweise manuell durch die Bearbeiter im chefärztlichen Dienst befüllt. Daher kann hier nicht gewährleistet werden, dass alle formalen Kriterien genau wie im Antrag erfüllt werden. Beispielsweise könnte das Feld SVNR des Patienten einen Wert enthalten, der nicht der Formalprüfung für SV-Nummern entspricht. Die hier angegebenen Formalkriterien (z.B. maximale Feldlängen) werden jedoch auf jeden Fall eingehalten.
  Diese Einschränkung gilt auch für die Daten der Anfrageentscheide.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rueckantwort()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbfrageZeitpunkt()` Zeitpunkt der ersten Abfrage der Rückantwort.
    `AnfrageEntscheid[]` | `getAnfrageEntscheide()` Die Entscheidungsdaten zu den einzelnen Verordnungen der Bewilligungsanfrage.
    `String` | `getAnfrageId()` Eindeutige ID der Bewilligungsanfrage.
    `String` | `getAntragstyp()` Die Kennzeichnung der Bewilligungsanfrage (Bewilligungsanfrage im Rahmen einer Rezeptausstellung beziehungsweise einer Arztbrieferstellung).
    `String` | `getBeantwortungsZeitpunkt()` Zeitpunkt des Bereitstellens der Rückantwort zu der Anfrage durch den chefärztlichen Dienst.
    `BewilligungsAnfrage` | `getBewilligungsAnfrage()` Die Bewilligungsanfrage zu dieser Rückantwort.
    `String` | `getEinlangeZeitpunkt()` Zeitpunkt des Einlangens der Anfrage im ABS.
    `String` | `getEKVKPatient()` EKVK-Nummer für eine im EU-Ausland versicherte Person der europäischen Krankenversicherungskarte (EKVK).
    `String` | `getInfoText()` Informationstext des chefärztlichen Dienstes bezüglich der gesamten Anfrage (zum Beispiel: Begründung der Ablehnung eines Antrages).
    `String` | `getNachnamePatient()` Nachname des Patienten, für den die Bewilligungsanfrage gestellt wird.
    `String` | `getReferenzId()` Eindeutige ID für die Anfrage beziehungsweise Antwort am Backend-System, das die Bewilligungsanfrage verarbeitet.
    `String` | `getSVNRPatient()` Sozialversicherungsnummer des Patienten für den die Bewilligungsanfrage gestellt wird.
    `String` | `getVornamePatient()` Vorname des Patienten, für den die Bewilligungsanfrage gestellt wird.
    `String` | `getZwischenantwort()` Informationstext des chefärztlichen Dienstes vor Übermittlung der Entscheidungsdaten zu den einzelnen Verordnungen der Bewilligungsanfrage (z.B. bei Nicht-Regelfällen) Optional Format: maximal 500-stellig
    `String` | `getZwischenantwortZeitpunkt()` Zeitpunkt des Bereitstellens der Zwischenantwort zu der Anfrage durch den chefärztlichen Dienst.
    `void` | `setAbfrageZeitpunkt(String abfrageZeitpunkt)`
    `void` | `setAnfrageEntscheide(AnfrageEntscheid[] anfrageEntscheide)`
    `void` | `setAnfrageId(String anfrageId)`
    `void` | `setAntragstyp(String antragstyp)`
    `void` | `setBeantwortungsZeitpunkt(String beantwortungsZeitpunkt)`
    `void` | `setBewilligungsAnfrage(BewilligungsAnfrage bewilligungsAnfrage)`
    `void` | `setEinlangeZeitpunkt(String einlangeZeitpunkt)`
    `void` | `setEKVKPatient(String patient)`
    `void` | `setInfoText(String infoText)`
    `void` | `setNachnamePatient(String nachnamePatient)`
    `void` | `setReferenzId(String referenzId)`
    `void` | `setSVNRPatient(String patient)`
    `void` | `setVornamePatient(String vornamePatient)`
    `void` | `setZwischenantwort(String zwischenantwort)`
    `void` | `setZwischenantwortZeitpunkt(String zwischenantwortZeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Rueckantwort

          public Rueckantwort()

  - ### Method Detail

    - #### getAnfrageId

          public String getAnfrageId()

      Eindeutige ID der Bewilligungsanfrage.
      Siehe `Id`. Diese ID dient zur Identifizierung einer Anfrage im ABS.
      Format: maximal 38-stellig
      Returns:
        ID der Anfrage

    - #### getZwischenantwort

          public String getZwischenantwort()

      Informationstext des chefärztlichen Dienstes vor Übermittlung der Entscheidungsdaten zu den einzelnen Verordnungen der Bewilligungsanfrage (z.B. bei Nicht-Regelfällen)
      Optional
      Format: maximal 500-stellig
      Returns:
        Zwischenantwort des chefärztlichen Dienstes

    - #### getReferenzId

          public String getReferenzId()

      Eindeutige ID für die Anfrage beziehungsweise Antwort am Backend-System, das die Bewilligungsanfrage verarbeitet.
      Diese Nummer dient zur Identifizierung einer Anfrage beziehungsweise Antwort am Backend-System.
      Format: maximal 38-stellig
      Returns:
        Referenz-ID am Backend

    - #### getEinlangeZeitpunkt

          public String getEinlangeZeitpunkt()

      Zeitpunkt des Einlangens der Anfrage im ABS.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        Einlangenzeitpunkt

    - #### getZwischenantwortZeitpunkt

          public String getZwischenantwortZeitpunkt()

      Zeitpunkt des Bereitstellens der Zwischenantwort zu der Anfrage durch den chefärztlichen Dienst.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        ZwischenantwortZeitpunkt

    - #### getBeantwortungsZeitpunkt

          public String getBeantwortungsZeitpunkt()

      Zeitpunkt des Bereitstellens der Rückantwort zu der Anfrage durch den chefärztlichen Dienst.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        Beantwortungszeitpunkt

    - #### getAbfrageZeitpunkt

          public String getAbfrageZeitpunkt()

      Zeitpunkt der ersten Abfrage der Rückantwort.
      Wird eine Rückantwort mehrmals abgefragt, ändert sich dieser Zeitpunkt nicht.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        Abfragezeitpunkt

    - #### getInfoText

          public String getInfoText()

      Informationstext des chefärztlichen Dienstes bezüglich der gesamten Anfrage (zum Beispiel: Begründung der Ablehnung eines Antrages).
      Optional
      Format: maximal 800-stellig
      Returns:
        Informationstext des chefärztlichen Dienstes

    - #### getSVNRPatient

          public String getSVNRPatient()

      Sozialversicherungsnummer des Patienten für den die Bewilligungsanfrage gestellt wird.
      Optional
      Format: 10-stellig
      Returns:
        SVNR des Patienten

    - #### getEKVKPatient

          public String getEKVKPatient()

      EKVK-Nummer für eine im EU-Ausland versicherte Person der europäischen Krankenversicherungskarte (EKVK).
      Optional
      Format: maximal 20-stellig
      Returns:
        EKVK-Nummer des Patienten

    - #### getNachnamePatient

          public String getNachnamePatient()

      Nachname des Patienten, für den die Bewilligungsanfrage gestellt wird.
      Optional
      Format: maximal 70-stellig
      Returns:
        Nachname des Patienten

    - #### getVornamePatient

          public String getVornamePatient()

      Vorname des Patienten, für den die Bewilligungsanfrage gestellt wird.
      Optional
      Format: maximal 70-stellig
      Returns:
        Vorname des Patienten

    - #### getAnfrageEntscheide

          public AnfrageEntscheid[] getAnfrageEntscheide()

      Die Entscheidungsdaten zu den einzelnen Verordnungen der Bewilligungsanfrage.
      Die Reihenfolge der Anfrageentscheide muss nicht der Reihenfolge der Verordnungen in der Anfrage entsprechen.
      Returns:
        Objekt vom Typ AnfrageEntscheid[] - Array von maximal 10 Anfrageentscheiden.

    - #### getBewilligungsAnfrage

          public BewilligungsAnfrage getBewilligungsAnfrage()

      Die Bewilligungsanfrage zu dieser Rückantwort.
      Die Reihenfolge der Verordnungen in der Bewilligungsanfrage muss nicht der Reihenfolge der Anfrageentscheide in der Rückantwort entsprechen.
      Returns:
        Objekt vom Typ BewilligungsAnfrage - Die Bewilligungsanfrage zu dieser Rückantwort.

    - #### getAntragstyp

          public String getAntragstyp()

      Die Kennzeichnung der Bewilligungsanfrage (Bewilligungsanfrage im Rahmen einer Rezeptausstellung beziehungsweise einer Arztbrieferstellung).
      Wertebereich: siehe `Antragstyp`).
      Returns:
        Antragstyp

    - #### setAnfrageId

          public void setAnfrageId(String anfrageId)

    - #### setZwischenantwort

          public void setZwischenantwort(String zwischenantwort)

    - #### setEinlangeZeitpunkt

          public void setEinlangeZeitpunkt(String einlangeZeitpunkt)

    - #### setZwischenantwortZeitpunkt

          public void setZwischenantwortZeitpunkt(String zwischenantwortZeitpunkt)

    - #### setBeantwortungsZeitpunkt

          public void setBeantwortungsZeitpunkt(String beantwortungsZeitpunkt)

    - #### setAbfrageZeitpunkt

          public void setAbfrageZeitpunkt(String abfrageZeitpunkt)

    - #### setInfoText

          public void setInfoText(String infoText)

    - #### setSVNRPatient

          public void setSVNRPatient(String patient)

    - #### setEKVKPatient

          public void setEKVKPatient(String patient)

    - #### setNachnamePatient

          public void setNachnamePatient(String nachnamePatient)

    - #### setVornamePatient

          public void setVornamePatient(String vornamePatient)

    - #### setAnfrageEntscheide

          public void setAnfrageEntscheide(AnfrageEntscheid[] anfrageEntscheide)

    - #### setBewilligungsAnfrage

          public void setBewilligungsAnfrage(BewilligungsAnfrage bewilligungsAnfrage)

    - #### setReferenzId

          public void setReferenzId(String referenzId)

    - #### setAntragstyp

          public void setAntragstyp(String antragstyp)